[Fingerforce-commits] [SCM] libfprint packaging for Debian by the FingerForce Team. branch, debian, updated. debian/0.5.0-1

Didier Raboud odyx at debian.org
Sat Mar 2 18:01:07 UTC 2013


The following commit has been merged in the debian branch:
commit a0af522ced2d9c43a2b1dbce13064f958610dad0
Author: Luca Capello <luca at pca.it>
Date:   Fri Jan 4 13:29:38 2013 +0100

    Apply udev rules at install time with udevadm --trigger
    
    Closes: #683863

diff --git a/debian/libfprint0.postinst b/debian/libfprint0.postinst
new file mode 100644
index 0000000..61bf030
--- /dev/null
+++ b/debian/libfprint0.postinst
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+if [ "$1" = "configure" -o "$1" = "upgrade" ]; then
+	# apply udev rules at package installation, see
+	# <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=683863#27>
+	# NOTA BENE: after the DEBHELPER section since dh_installudev
+	# adds stuff there
+	udevadm trigger --action=add --attr-match=idVendor=0483 --attr-match=idProduct=2016
+	udevadm trigger --action=add --attr-match=idVendor=147e --attr-match=idProduct=2016
+	udevadm trigger --action=add --attr-match=idVendor=08ff --attr-match=idProduct=5501
+	udevadm trigger --action=add --attr-match=idVendor=08ff --attr-match=idProduct=2500
+	udevadm trigger --action=add --attr-match=idVendor=08ff --attr-match=idProduct=2580
+	udevadm trigger --action=add --attr-match=idVendor=045e --attr-match=idProduct=00bb
+	udevadm trigger --action=add --attr-match=idVendor=045e --attr-match=idProduct=00bc
+	udevadm trigger --action=add --attr-match=idVendor=045e --attr-match=idProduct=00bd
+	udevadm trigger --action=add --attr-match=idVendor=045e --attr-match=idProduct=00ca
+	udevadm trigger --action=add --attr-match=idVendor=05ba --attr-match=idProduct=0007
+	udevadm trigger --action=add --attr-match=idVendor=05ba --attr-match=idProduct=0008
+	udevadm trigger --action=add --attr-match=idVendor=05ba --attr-match=idProduct=000a
+	udevadm trigger --action=add --attr-match=idVendor=061a --attr-match=idProduct=0110
+	udevadm trigger --action=add --attr-match=idVendor=061a --attr-match=idProduct=1000
+	udevadm trigger --action=add --attr-match=idVendor=08ff --attr-match=idProduct=1600
+	udevadm trigger --action=add --attr-match=idVendor=138a --attr-match=idProduct=0001
+	udevadm trigger --action=add --attr-match=idVendor=08ff --attr-match=idProduct=2810
+fi
+
+exit 0

-- 
libfprint packaging for Debian by the FingerForce Team.



More information about the Fingerforce-commits mailing list